notifications
Update notification preferences
Upserts one or more channel preferences for the authenticated user. Accepts a single object or a list of objects. notification_type: "*" is a wildcard applied when no type-specific preference exists.
PUT
/
api
/
v1
/
notifications
/
preferences
Update notification preferences
curl --request PUT \
--url https://api.example.com/api/v1/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_type": "*",
"enabled": true
}
'import requests
url = "https://api.example.com/api/v1/notifications/preferences"
payload = {
"notification_type": "*",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notification_type: '*', enabled: true})
};
fetch('https://api.example.com/api/v1/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"preferences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notification_type": "<string>",
"channel": "websocket",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true
}
]
}
}Authorizations
Enter your JWT token in the format: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I
Update notification preferences
